@font-face {
  font-family: 'Iosevka';
  src: local('Iosevka'),
    url('/fonts/iosevka-regular-subset.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  unicode-range: U+0000-00FF, U+0370-04FF, U+2000-206F, U+20AC, U+2103, U+2122, U+2190-22FF, U+2500-257F, U+25B6, U+25BC, U+25C0, U+2642;
}

@font-face {
  font-family: 'Iosevka';
  src: local('Iosevka Bold'), local('Iosevka-Bold'),
    url('/fonts/iosevka-bold-subset.woff2') format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
  unicode-range: U+0000-00FF, U+0370-04FF, U+2000-206F, U+20AC, U+2103, U+2122, U+2190-22FF, U+2500-257F, U+25B6, U+25BC, U+25C0, U+2642;
}

@font-face {
  font-family: 'Iosevka';
  src: local('Iosevka Oblique'), local('Iosevka-Oblique'),
    url('/fonts/iosevka-oblique-subset.woff2') format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
  unicode-range: U+0000-00FF, U+0370-04FF, U+2000-206F, U+20AC, U+2103, U+2122, U+2190-22FF, U+2500-257F, U+25B6, U+25BC, U+25C0, U+2642;
}

html {
  overflow-y: scroll
}

:root {
  --bgcolor: white;
  --fontcolor: #444;
  --linkcolor: #00e;
  --visitedcolor: #551a8b;
  --precolor: #fff;
  --prebgcolor: #000;
}

@media (prefers-color-scheme: dark) {
  :root {
     --bgcolor: black;
     --fontcolor: white;
     --linkcolor: #5bf;
     --visitedcolor: #ae5ee0;
     --precolor: #fff;
     --prebgcolor: #383838;
  }
}

body {
  color: var(--fontcolor);
  background: var(--bgcolor);
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

a:link {
  color: var(--linkcolor);
}

a:visited {
  color: var(--visitedcolor);
}

a:active {
  color: var(--visitedcolor);
}

h1,h2,h3 {
  line-height: 1.2;
}

p > code {
  color: var(--precolor);
  background: var(--prebgcolor);
  padding: 2px;
}

pre {
  color: var(--precolor);
  background: var(--prebgcolor);
  padding: 24px;
  overflow-x: auto;
}

article {
  padding: 5px 0;
}

.center  {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

figcaption {
  color: #888;
  font: 12px/1.5 monospace;
  text-align: center;
}

figure {
  margin: auto;
}

body {
  font-family: Iosevka, monospace;
  max-width: 750px;
  margin: 0 auto;
  padding: 10px;
}

#brand {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

#brand a {
  color: var(--fontcolor);
  text-decoration: none;
}

#brand h1, #brand h3 {
  margin: 0;
}

#brand h1 {
  font-size: 30px;
}

#brand h3 {
  font-size: 20px;
  font-weight: normal;
}

#brand .icon {
  width: 75px;
}

footer {
  margin-top: 30px;
}

header nav {
  margin: 15px 0;
}

@media (min-width: 768px) {
  body {
    margin-top: 25px;
  }

  #brand {
    flex-direction: row;
    text-align: unset;
  }

  #brand .text {
    margin-left: 10px;
  }

  #brand h1 {
    font-size: 45px;
  }

  #brand h3 {
    font-size: 25px;
  }
}

#postsByDate  {
  list-style: none;
}

#postsByDate .date {
  width: 60px;
}

#postsByDate div, #postsInOneGroup div {
  display: inline-block;
}

#terms {
  list-style: none;
}

#terms .term {
  background-color: #ddd;
  border-radius: 10px;
  display: inline-block;
  margin: 2px;
  padding: 8px;
}
